### Hierarchy

- SideNavMenu

### Implements

- AfterContentInit
- OnDestroy

## Index

### Inputs

- expanded
- hasActiveChild
- menuItems
- title

### Properties

- activeItemsSubscription
- expanded
- hasActiveChild
- menuItems
- sidenavItems
- title

### Methods

- findActiveChildren
- ngAfterContentInit
- ngOnDestroy
- toggle

## Properties

### Protected activeItemsSubscription

activeItemsSubscription: Subscription = new Subscription()

- Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:81

### expanded

@Input()
expanded: boolean = false

- Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:70

### hasActiveChild

@Input()
hasActiveChild: boolean = false

- Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:75

### menuItems

@Input()
menuItems: SideNavItemInterface[]

- Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:77

### sidenavItems

@ContentChildren({"selector":"SideNavItem"})
sidenavItems: QueryList<SideNavItem>

- Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:79

### title

@Input()
title: string

- Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:66

## Methods

### Protected findActiveChildren

- findActiveChildren(): void

- - Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:115

  #### Returns void

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:83

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:107

  #### Returns void

### toggle

- toggle(): void

- - Defined in src/ui-shell/sidenav/sidenav-menu.component.ts:111

  #### Returns void

Generated using TypeDoc